Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class DefaultOWLDatatypeProperty

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSlot
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFProperty
                      edu.stanford.smi.protegex.owl.model.impl.AbstractOWLProperty
                          edu.stanford.smi.protegex.owl.model.impl.DefaultOWLDatatypeProperty

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.Slot, Deprecatable, OWLDatatypeProperty, OWLProperty, ProtegeInstance, ProtegeSlot, RDFObject, RDFProperty, RDFResource, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

    public class DefaultOWLDatatypeProperty

extends AbstractOWLProperty
implements OWLDatatypeProperty

The default implementation of the OWLDatatypeProperty interface.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`static String` | `ICON_NAME`

Constructor Summary
`DefaultOWLDatatypeProperty()`
`DefaultOWLDatatypeProperty(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.
`String` | `getIconName()` Gets the local name of an icon for this type of resource.
`Icon` | `getInheritedIcon()`
`boolean` | `hasDatatypeRange()` Checks whether this can take only primitive, datatype values.

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractOWLProperty
`getBaseImageIcon, getIcon, isInverseFunctional, isObjectProperty, setAnnotationProperty, setEquivalentProperties, setInverseFunctional`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFProperty
`addComment, addDifferentFrom, addEquivalentProperty, addIsDefinedBy, addLabel, addPropertyListener, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addSuperproperty, addUnionDomainClass, addVersionInfo, as, canAs, equalsStructurally, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getDomain, getDomains, getEquivalentProperties, getFirstSuperproperty, getHasValuesOnTypes, getIconLocation, getInferredTypes, getInverseProperty, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRange, getRange, getRangeDatatype, getRanges, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getSubproperties, getSubpropertyCount, getSuperproperties, getSuperpropertyCount, getUnionDomain, getUnionDomain, getUnionRangeClasses, getURI, getVersionInfo, hasObjectRange, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRange, hasRDFType, hasRDFType, isAnnotationProperty, isAnonymous, isDeprecated, isDomainDefined, isDomainDefined, isFunctional, isPureAnnotationProperty, isRangeDefined, isReadOnly, isSubpropertyOf, isUntyped, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeEquivalentProperty, removeIsDefinedBy, removeLabel, removePropertyListener, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeSuperproperty, removeUnionDomainClass, removeVersionInfo, setComment, setComments, setDeprecated, setDocumentation, setDomain, setDomainDefined, setDomains, setFunctional, setInferredTypes, setInverseProperty, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRange, setRanges, setRDFType, setRDFTypeOfSubproperties, setRDFTypes, setUnionRangeClasses, toString, updateRDFType`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSlot
`addDirectSuperslot, addSlotListener, deepCopy, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getDefaultValues, getDirectDomain, getDirectSubslotCount, getDirectSubslots, getDirectSuperslotCount, getDirectSuperslots, getDomain, getInverseSlot, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getSubslots, getSuperslots, getTemplateSlotClses, getValues, getValueType, hasDirectSuperslot, hasSuperslot, hasValueAtSomeFrame, moveDirectSubslot, removeDirectSuperslot, removeSlotListener, rename, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setAssociatedFacet, setDefaultValues, setDirectTypeOfSubslots, setInverseSlot, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setValues, setValueType`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.OWLProperty
`isInverseFunctional, isObjectProperty, setInverseFunctional`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFProperty
`addEquivalentProperty, addPropertyListener, addSuperproperty, addUnionDomainClass, getDomain, getDomains, getEquivalentProperties, getFirstSuperproperty, getInverseProperty, getRange, getRange, getRangeDatatype, getRanges, getSubproperties, getSubpropertyCount, getSuperproperties, getSuperpropertyCount, getUnionDomain, getUnionDomain, getUnionRangeClasses, hasObjectRange, hasRange, isAnnotationProperty, isDomainDefined, isDomainDefined, isFunctional, isPureAnnotationProperty, isRangeDefined, isReadOnly, isSubpropertyOf, removeEquivalentProperty, removePropertyListener, removeSuperproperty, removeUnionDomainClass, setDomain, setDomainDefined, setDomains, setEquivalentProperties, setFunctional, setInverseProperty, setRange, setRanges, setUnionRangeClasses`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeSlot
`addDirectSuperslot, addSlotListener, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getDefaultValues, getDirectDomain, getDirectSubslotCount, getDirectSubslots, getDirectSuperslotCount, getDirectSuperslots, getDocumentation, getDomain, getInverseSlot, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getSubslots, getSuperslots, getValues, getValueType, hasDirectSuperslot, hasSuperslot, hasValueAtSomeFrame, moveDirectSubslot, removeDirectSuperslot, removeSlotListener, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setAssociatedFacet, setDefaultValues, setDirectTypeOfSubslots, setDocumentation, setInverseSlot, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setValues, setValueType`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protege.model.Slot
`getTemplateSlotClses, rename`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.Deprecatable
`isDeprecated, setDeprecated`

Field Detail

### ICON_NAME

    public static final String ICON_NAME

See Also:
  Constant Field Values

Constructor Detail

### DefaultOWLDatatypeProperty

    public DefaultOWLDatatypeProperty(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                      edu.stanford.smi.protege.model.FrameID id)

### DefaultOWLDatatypeProperty

    public DefaultOWLDatatypeProperty()

Method Detail

### getIconName

    public String getIconName()

  Description copied from interface: `RDFResource`
  Gets the local name of an icon for this type of resource. This method is used in conjunction with `getIconLocation()`.

  Specified by:
    `getIconName` in interface `RDFResource`
  Overrides:
    `getIconName` in class `AbstractOWLProperty`
  Returns:
    an icon name (without suffix, e.g. "RDFIndividual" for RDFIndividual.gif)
  See Also:
    `RDFResource.getIconLocation()`

### getInheritedIcon

    public Icon getInheritedIcon()

  Specified by:
    `getInheritedIcon` in interface `RDFProperty`
  Overrides:
    `getInheritedIcon` in class `DefaultRDFProperty`

### hasDatatypeRange

    public boolean hasDatatypeRange()

  Description copied from interface: `RDFProperty`
  Checks whether this can take only primitive, datatype values. This is true if the range of this (or its superproperties) only consists of RDFSDatatype or an OWLDataRange, or if this is an owl:DatatypeProperty.

  Specified by:
    `hasDatatypeRange` in interface `RDFProperty`
  Overrides:
    `hasDatatypeRange` in class `DefaultRDFProperty`

### accept

    public void accept(OWLModelVisitor visitor)

  Description copied from interface: `Visitable`
  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `DefaultRDFProperty`
  Parameters:
    `visitor` - The visitor that will operate on this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.